﻿using System.Windows;
using System.Windows.Controls;

namespace CheckBoxesInCombo
{
	public partial class MainPage : UserControl
	{
		private ResourceTypeCollection ResourceTypes
		{
			get
			{
				return (ResourceTypeCollection)this.Resources["ResourceTypes"];
			}
		}

		public Appointment Appointment
		{
			get { return (Appointment)GetValue(AppointmentProperty); }
			set { SetValue(AppointmentProperty, value); }
		}

		public static readonly DependencyProperty AppointmentProperty =
			DependencyProperty.Register("Appointment", typeof(Appointment), typeof(MainPage), null);

		public ResourceTypeModelCollection ResourceTypeModels
		{
			get { return (ResourceTypeModelCollection)GetValue(ResourceTypeModelsProperty); }
			set { SetValue(ResourceTypeModelsProperty, value); }
		}

		public static readonly DependencyProperty ResourceTypeModelsProperty =
			DependencyProperty.Register("ResourceTypeModels", typeof(ResourceTypeModelCollection), typeof(MainPage), null);

		public MainPage()
		{
			this.ResourceTypeModels = new ResourceTypeModelCollection();

			InitializeComponent();

			this.Appointment = new Appointment()
			{
				Subject = "Test",
				Resources =
				{
					new Resource() { ResourceName = "406A", ResourceTypeName="Room" },
					new Resource() { ResourceName = "Thinkpad1", ResourceTypeName="Laptop" },
					new Resource() { ResourceName = "Thinkpad2", ResourceTypeName="Laptop" }
				}
			};

			foreach (ResourceType resourceType in this.ResourceTypes)
			{
				this.ResourceTypeModels.Add(new ResourceTypeModel(resourceType, this.Appointment));
			}

			this.DataContext = this;
		}
	}
}