﻿using System.Collections.ObjectModel;

namespace CheckBoxesInCombo
{
	public class ResourceCollection : ObservableCollection<Resource>
	{
		private string resourceTypeName;

		public string ResourceTypeName
		{
			get
			{
				return this.resourceTypeName;
			}
			set
			{
				if (this.resourceTypeName != value)
				{
					this.resourceTypeName = value;
					foreach (Resource resource in this)
					{
						resource.ResourceTypeName = value;
					}
				}
			}
		}

		protected override void InsertItem(int index, Resource item)
		{
			base.InsertItem(index, item);
			item.ResourceTypeName = this.ResourceTypeName ?? item.ResourceTypeName;
		}

		protected override void SetItem(int index, Resource item)
		{
			base.SetItem(index, item);
			item.ResourceTypeName = this.ResourceTypeName ?? item.ResourceTypeName;
		}
	}
}
