﻿using System.Windows;
using Telerik.Windows.Controls;

namespace CheckBoxesInCombo
{
	public class ResourceTypeTemplateSelector : DataTemplateSelector
	{
		public DataTemplate MultiSelectionTemplate { get; set; }
		public DataTemplate SingleSelectionTemplate { get; set; }

		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			ResourceTypeModel model = item as ResourceTypeModel;
			if (model == null)
			{
				return base.SelectTemplate(item, container);
			}

			return model.ResourceType.AllowsMultiSelection ? this.MultiSelectionTemplate : this.SingleSelectionTemplate;
		}
	}
}